@(vmGroups: List[VMGroup], hidden: List[VMGroup])

@import helper._

@implicitFieldConstructor = @{ FieldConstructor(twitterBootstrapInput.render) }

@title = {
    VM Group List
}

@pageTitle = {
    VM Groups

    <div id="add" class="pull-right ">
        <a class="btn btn-success" id="addGroup" href="@routes.VMGroupController.create()" hidden="false"><i class="icon-plus-sign icon-white"></i> Create VM Group</a>
    </div>
}

@main(title, pageTitle) {
    <ul class="nav nav-tabs">
        <li class="active"><a href="#active" data-toggle="tab">Active</a></li>
        <li><a href="#inactive" data-toggle="tab">Hidden</a></li>
    </ul>

    <div class="tab-content">
        <div class="tab-pane active" id="active">
            <table class="table table-striped table-bordered">
                <thead>
                    <tr>
                        <th>Group Name</th>
                        <th># of VMs</th>
                        <th>Actions</th>
                    </tr>
                </thead>

                <tbody>
                @for(group <- vmGroups) {
                    <tr>
                        <td>@group.getName</td>
                        <td>@simulation.SimUtils.getNf3.format(group.getVms.size())</td>
                        <td>
                            <a class="btn btn-primary btn-block" href="@routes.VMGroupController.view(group.getId.toString)" > <i class="icon-edit icon-white"></i> View </a>
                            <a class="btn btn-inverse btn-block" href="@routes.VMGroupController.edit(group.getId.toString)" > <i class="icon-edit icon-white"></i> Copy</a>
                            <a class="btn btn-danger btn-block" href="@routes.VMGroupController.markInactive(group.getId.toString)"> <i class="icon-remove icon-white"></i> Hide</a>
                        </td>
                    </tr>
                }
                </tbody>
            </table>
        </div>
        <div class="tab-pane" id="inactive">
            <table class="table table-striped table-bordered">
                <thead>
                    <tr>
                        <th>Group Name</th>
                        <th># of VMs</th>
                        <th>Actions</th>
                    </tr>
                </thead>

                <tbody>
                    @for(group <- hidden) {
                        <tr>
                            <td>@group.getName</td>
                            <td>@simulation.SimUtils.getNf3.format(group.getVms.size())</td>
                            <td>
                                <a class="btn btn-primary btn-block" href="@routes.VMGroupController.view(group.getId.toString)" > <i class="icon-edit icon-white"></i> View </a>
                                <a class="btn btn-inverse btn-block" href="@routes.VMGroupController.edit(group.getId.toString)" > <i class="icon-edit icon-white"></i> Copy</a>
                                <a class="btn btn-danger btn-block" href="@routes.VMGroupController.markActive(group.getId.toString)"> <i class="icon-remove icon-white"></i> Unhide</a>
                            </td>
                        </tr>
                    }
                </tbody>
            </table>
        </div>
    </div>
}